Name:		poezio
Version:	0.6.2
Release:	alt1_7
Summary:	IRC-like jabber (XMPP) console client

Group:		Networking/WWW
License:	GPLv3
URL:		http://poezio.eu
Source0:	http://codingteam.net/project/%{name}/download/file/%{name}-%{version}.tar.xz
Buildarch:	noarch

BuildRequires:	python-devel
Source44: import.info


%description
A jabber (XMPP) console client that aims at being similar to popular IRC
clients such as Irssi or Weechat. Its main goal is to let the user
connect to the Jabber network and join chat rooms without requiring any
registration.

%prep
%setup -q


%build
# Nothing needs to be compiled, python only software
%{nil}


%install
# create directories
mkdir -p %{buildroot}%{_datadir}/%{name}/data
mkdir -p %{buildroot}%{_datadir}/%{name}/src
mkdir -p %{buildroot}%{_bindir}

# install data files
install -p -m644 data/* %{buildroot}%{_datadir}/%{name}/data/

# install sources files
install -p -m644 src/*.py %{buildroot}%{_datadir}/%{name}/src/

# remove shebangs in non-executable files
# will be fixed upstream in next release
# http://codingteam.net/project/poezio/bugs/show/1669
for lib in %{buildroot}%{_datadir}/%{name}/src/*.py; do
    sed '/^\#\!\/usr\/bin\//d' $lib > $lib.new &&
    touch -r $lib $lib.new
    mv $lib.new $lib
done

# create launcher
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/usr/bin/env sh
cd %{_datadir}/poezio/src/ && python poezio.py
EOF

chmod 755 %{buildroot}%{_bindir}/%{name}


%files
%doc CHANGELOG COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_7
- initial fc import

